@echo off
rem
rem Licensed Materials - Property of IBM
rem IBM Cognos Products: localizationkit
rem  Copyright IBM Corp. 2019, 2020
rem US Government Users Restricted Rights - Use, duplication or disclosure restricted 
rem by GSA ADP Schedule Contract with IBM Corp.
rem
rem ---------------------------------------------------------------------------
rem Script (Windows) to invoke jre and launch FMMD_ModelUpdate.jar.
rem
rem J_HOME is the location of the Java RE installation
rem J_OPTS are the Java options to be passed into the JAVA VM (optional)
rem ---------------------------------------------------------------------------

rem ----- Save Environment Variables That May Change --------------------------

set _CLASSPATH=%CLASSPATH%
set _CP=%CP%


rem ------------------- Set JRE Home -----------------------------------------
if not "%JAVA_HOME%" == "" goto okJavaHome
set JAVA_HOME=..\ibm-jre\jre
if exist "%JAVA_HOME%" goto okJavaHome 
set JAVA_HOME=..\jre

:okJavaHome

if exist %JAVA_HOME%\bin\java.exe goto okJRE
echo Could not find jre in your environment.
echo This environment variable JAVA_HOME is needed to run this program
echo Hint:Please use Progra~1 instead of "Program Files" in your JAVA_HOME path
goto cleanup

:okJRE
set J_HOME=%JAVA_HOME%
set J_OPTS=-Xmx768m

rem ----- Prepare Appropriate Java Execution Commands -------------------------
set _RUNJAVA=%J_HOME%\bin\java

set CLASSPATH=%CP%
%_RUNJAVA% %J_OPTS% -jar FMMD_ModelUpdate.jar %*
goto cleanup

rem ----- Restore Environment Variables ---------------------------------------
:cleanup
set CLASSPATH=%_CLASSPATH%
set _CLASSPATH=
set CP=%_CP%
set _RUNJAVA=
set J_HOME=
